<template>
  <div class="ng-scope">
    <navbar :user="userInfo" @openLoginDialog="openLoginDialog"></navbar>
    <div class="banner-box">
      <div class="p-wrap-full clear pt30">
        <div class="training-category opacity-bg fl ">
          <img alt="" class="mimg" src="/static/swiper/1.jpg"/>
        </div>

        <div class="m-login opacity-bg fr">
          <is-login v-if="loginOk" :user="userInfo" @logout="logout"></is-login>
          <un-login v-else @login="login" :err="err"></un-login>
        </div>
      </div>
    </div>

    <div class="p-wrap-full mb20 ng-scope">
      <el-row :gutter="20" class="shadow p10 mt20"  type="flex" >
        <el-col :span="16">
          <div class="training-category bg-white fl"
            style="border-radius: 15px;padding: 10px; background-color: white;" >
            <div style="display: flex;justify-content: center;align-items: center;width: 100%;text-align: center;color: #1D78F9;">
                <img style="width: 80px;height: 4px;margin-right: 14px;" src="../../../static/images/home_left.png">
                <h2 style="text-align: center;color: #1D78F9;">新闻通知</h2>
                <img style="width: 80px;height: 4px;margin-left: 14px;" src="../../../static/images/home_right.png">
            </div>
            <el-table :data="postList"  highlight-current-row
            :show-header="false" min-height="310px" style="overflow: hidden;" >
              <el-table-column min-width="600px">
                <template slot-scope="{row, $index}">
                  <span @click="gotoDetail(row.postId)">{{$index+1}}、{{ row.title }}</span>
                </template>
              </el-table-column>
              <el-table-column  width="160px">
                <template slot-scope="{row}">
                  <span>{{ row.publishTime  }}</span>
                </template>
              </el-table-column>
            </el-table>
          </div>
        </el-col>
        <el-col :span="8">
          <div style="background-color: #fff;padding-top: 10px;height: 360px;" class="opacity-bg fr">
            <div style="display: flex;justify-content: center;align-items: center;">
              <img style="width: 80px;height: 4px;margin-right: 14px;" src="../../../static/images/home_left.png">
              <h2 style="text-align: center;color: #1D78F9;">证书查询</h2>
              <img style="width: 80px;height: 4px;margin-left: 14px;" src="../../../static/images/home_right.png">
            </div>

            <div style="margin-top: 50px;text-align: center; ">
              <el-button @click="gotoOutlink()" type="primary"> 前往证书查询 </el-button>
            </div>
          </div>
        </el-col>
      </el-row>
    </div>

    <el-dialog
      class="fc tc login-dialog"
      :visible.sync="loginDialog"
       :show-close='false'
      width="330px"
      style="padding:0px;"
      @close="closeDialog"
    >
      <div class="m-login" style="background: none;">
        <un-login @login="login" :err="err"></un-login>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import isLogin from "./components/isLogin.vue";
import unLogin from "./components/unLogin.vue";
import LearnTime from "./components/learnTime/learnTime.vue";
import navbar from "@/components/nav/navbar.vue";
import Friendlink from "./components/friendlink/friendlink.vue";
import { httpServer } from "@/components/httpServer/httpServer.js";
import { mapGetters,mapActions } from "vuex";
import settings from "@/settings.js";
export default {
  components: {
    LearnTime,
    isLogin,
    unLogin,
    Friendlink,
    navbar
  },
  data() {
    return {
      loginOk: false,
      periodObj: {
        userName: "",
        idNum: "",
      },
      postList:[],
      loginDialog: false,
      err: {},
    };
  },
  computed: {
  	...mapGetters("user", ["typeList", "userInfo"])
  },
  beforeMount(){
     if( this.userInfo && this.userInfo.token){
       this.loginOk = true
     }else{
       this.loginOk = false
     }
  },
  created(){
    this.getPostList()
  },
  methods: {
    ...mapActions("user", ["loadBaseInfo", "doLogout", "doLogin"]),
    logout() {
      this.doLogout().then( res=>{
        this.loginOk = false;
      } )
    },
    login(param, cb) {
      this.doLogin( param ).then( res => {
        if( !res ){
          this.err.loginErrorEnter = "登入失败"
          this.loginOk = false;
          cb &&cb()
        }else{
          this.loginOk = true;
          this.loginDialog = false;
        }
      })
    },
    getPostList(){
      httpServer("course.getPostList", {page:1,type:'操作指南', size:6}).then( res=>{
        this.postList = res.data.list.slice(0,6)
      })
    },
    gotoDetail(postId){
      this.$router.push({name:'news', query:{postId}})
    },
    gotoCourse(item){
      if ( !localStorage.token ) {
        this.$message.successMsg("请先登入", 1)
        return
      }
      if( !item.isOpen ){
         this.$message.errorMsg("暂未开放", 1)
         return
      }
      this.$router.push( {path:'/center/market', query:{type: item.name}})
    },
    closeDialog() {
      this.loginDialog = false;
    },
    gotoOutlink(){
      window.open( settings.outLink, '_brank');
    },
    openLoginDialog() {
      this.loginDialog = true
    },
  },
};
</script>

<style>
@import url("login.css");
.floatbox{
  position: fixed;
  width: 160px;
  height: 60px;
  right: 60px;
  top: 90px;
  border-radius: 1.25rem;
  font-size: 30px !important;
  background-color: orange;
  line-height: 40px;
  text-align: center;
  color: #fff;
}
.right-nav {
    width: 135px;
    height: 180px;
    background-color: #8bbdf5;
    position: fixed;
    transition: bottom ease .9s;
    z-index: 0;
    right: 5%;
    top: 260px;
    text-align: center;
    border-radius: 5px;
}
.right-img {
    display: inline-block;
    border-radius: 30%;
    width: 80%;
    height: 64%;
    margin: 11px auto 0;
}

</style>
